--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Checks if an attribute has unsaved changes
- !ruby/struct:SM::Flow::P 
  body: "@param [Symbol] name"
- !ruby/struct:SM::Flow::VERB 
  body: "  name of attribute to check for unsaved changes\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if attribute has unsaved changes\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Resource#attribute_dirty?
is_singleton: false
name: attribute_dirty?
params: (name)
visibility: public
